import request from '@/utils/request'

// 查询最终准备页面配置列表
export function listFinalConfig(query) {
  return request({
    url: '/model/FinalConfig/list',
    method: 'get',
    params: query
  })
}

// 查询最终准备页面配置详细
export function getFinalConfig(id) {
  return request({
    url: '/model/FinalConfig/' + id,
    method: 'get'
  })
}

// 新增最终准备页面配置
export function addFinalConfig(data) {
  return request({
    url: '/model/FinalConfig',
    method: 'post',
    data: data
  })
}

// 修改最终准备页面配置
export function updateFinalConfig(data) {
  return request({
    url: '/model/FinalConfig',
    method: 'put',
    data: data
  })
}

// 删除最终准备页面配置
export function delFinalConfig(id) {
  return request({
    url: '/model/FinalConfig/' + id,
    method: 'delete'
  })
}
